import 'package:flutter/material.dart';
import 'package:syncrow_web/utils/color_manager.dart';

class RoomNameWidget extends StatelessWidget {
  final String name;

  const RoomNameWidget({Key? key, required this.name}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Container(
      padding: const EdgeInsets.symmetric(horizontal: 8.0, vertical: 4.0),
      decoration: BoxDecoration(
        color: ColorsManager.textFieldGreyColor,
        borderRadius: BorderRadius.circular(8),
        border: Border.all(color: ColorsManager.transparentColor),
      ),
      child: Text(
        name,
        style: Theme.of(context)
            .textTheme
            .bodySmall
            ?.copyWith(color: ColorsManager.spaceColor),
      ),
    );
  }
}
